/* $Header: /src/carson/nistnet/monitor/RCS/hitutil.c,v 1.3 1998/01/30 17:05:00 carson Exp $ */

/* General-purpose utilities of various sorts used by the emulator
 * interface.  (Actually, just one right now.)
 */
#include "xincludes.h"

/* fixname - fix up a hostname to standard form */
void
fixname(char *hostname, unsigned long addr)
{
	struct hostent *hent;
	struct in_addr one;

	hent = gethostbyaddr((char *)&addr, sizeof(addr),  AF_INET);
	if (!hent) {	/* maybe they supplied name? */
		hent = gethostbyname(hostname);
		if (!hent) {	/* no luck */
			fprintf(stderr, "Unknown host: %lx\n", addr);
			one.s_addr = addr;
			strcpy(hostname, inet_ntoa(one));
			return;
		}
	}
	strcpy(hostname, hent->h_name);
}
